Bug 187477 - [UPDATE] mail/p5-MIME-Charset: update to 1.011.1
Summary: [UPDATE] mail/p5-MIME-Charset: update to 1.011.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-12 12:50 UTC by geoffroy desvernay
Modified: 2014-03-29 08:10 UTC (History)
1 user (show)

See Also:


Attachments
p5-MIME-Charset-1.011.1.patch (1.36 KB, patch)
2014-03-12 12:50 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2014-03-12 12:50:00 UTC
- Update to 1.011.1 (contains a fix for UTF-16 needed by latest mail/sympa upstream)

Port maintainer (Olivier.Girard@univ-angers.fr) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.11 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-12 12:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-12 12:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-03-12 12:50:11 UTC
Maintainer of mail/p5-MIME-Charset,

Please note that PR ports/187477 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187477

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Frederic Culot freebsd_committer 2014-03-12 13:15:16 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 5 dfilter service freebsd_committer 2014-03-29 08:03:31 UTC
Author: culot
Date: Sat Mar 29 08:03:28 2014
New Revision: 349484
URL: http://svnweb.freebsd.org/changeset/ports/349484
QAT: https://qat.redports.org/buildarchive/r349484/

Log:
  - Update to 1.011.1 [1]
  - Fix plist
  - Add LICENSE (Artistic 1 & GPL 1)
  
  Changes:	http://cpansearch.perl.org/src/NEZUMI/MIME-Charset-1.011.1/Changes
  PR:		ports/187477 [1]
  Submitted by: 	Geoffroy Desvernay <dgeo@centrale-marseille.fr>
  Approved by:	Olivier.Girard@univ-angers.fr (maintainer timeout, >14 days)

Modified:
  head/mail/p5-MIME-Charset/Makefile
  head/mail/p5-MIME-Charset/distinfo
  head/mail/p5-MIME-Charset/pkg-plist

Modified: head/mail/p5-MIME-Charset/Makefile
==============================================================================
--- head/mail/p5-MIME-Charset/Makefile	Sat Mar 29 08:00:53 2014	(r349483)
+++ head/mail/p5-MIME-Charset/Makefile	Sat Mar 29 08:03:28 2014	(r349484)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	MIME-Charset
-PORTVERSION=	1.008
+PORTVERSION=	1.011.1
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -11,6 +11,9 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	Olivier.Girard@univ-angers.fr
 COMMENT=	Charset Informations for MIME
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 USES=		perl5
 USE_PERL5=	configure
 

Modified: head/mail/p5-MIME-Charset/distinfo
==============================================================================
--- head/mail/p5-MIME-Charset/distinfo	Sat Mar 29 08:00:53 2014	(r349483)
+++ head/mail/p5-MIME-Charset/distinfo	Sat Mar 29 08:03:28 2014	(r349484)
@@ -1,2 +1,2 @@
-SHA256 (MIME-Charset-1.008.tar.gz) = 319fda34f29a88204f6723610139059a24ffd8c27306edbcfafb7936b72d9d1f
-SIZE (MIME-Charset-1.008.tar.gz) = 49236
+SHA256 (MIME-Charset-1.011.1.tar.gz) = 2955a3b617fe12654efc2a13ae1dc7d32aad81d35cfae21f74337213cf2435d5
+SIZE (MIME-Charset-1.011.1.tar.gz) = 54333

Modified: head/mail/p5-MIME-Charset/pkg-plist
==============================================================================
--- head/mail/p5-MIME-Charset/pkg-plist	Sat Mar 29 08:00:53 2014	(r349483)
+++ head/mail/p5-MIME-Charset/pkg-plist	Sat Mar 29 08:03:28 2014	(r349484)
@@ -1,11 +1,15 @@
 %%SITE_PERL%%/MIME/Charset.pm
 %%SITE_PERL%%/MIME/Charset/Defaults.pm.sample
-%%SITE_PERL%%/MIME/Charset/JA_JP.pod
+%%SITE_PERL%%/MIME/Charset/UTF.pm
 %%SITE_PERL%%/MIME/Charset/_Compat.pm
+%%SITE_PERL%%/POD2/JA/MIME/Charset.pod
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/MIME/Charset/.packlist
 %%PERL5_MAN3%%/MIME::Charset.3.gz
-%%PERL5_MAN3%%/MIME::Charset::JA_JP.3.gz
+%%PERL5_MAN3%%/POD2::JA::MIME::Charset.3.gz
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MIME/Charset
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MIME
 @dirrmtry %%SITE_PERL%%/MIME/Charset
 @dirrmtry %%SITE_PERL%%/MIME
+@dirrmtry %%SITE_PERL%%/POD2/JA/MIME
+@dirrmtry %%SITE_PERL%%/POD2/JA
+@dirrmtry %%SITE_PERL%%/POD2
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Frederic Culot freebsd_committer 2014-03-29 08:03:40 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!